Summary: Consistent/persistent storage device access through symlinking
Name: devlabel
Version: 0.48.03
Release: 10.XOS.1
License: GPL
Group: System Environment/Base
Source: http://linux.dell.com/devlabel/permalink/devlabel-%{version}.tar.gz
URL: http://linux.dell.com/devlabel/devlabel.html
Requires: sed grep gawk coreutils
Patch: devlabel-0.26.08-s390.patch
Patch1: devlabel-fixes.patch
Requires: initscripts > 6.97-1
Requires: util-linux
BuildRequires: e2fsprogs-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
This package contains the devlabel implementation.  It allows for consistent
mounting of devices.  This is accomplished through tagging a unique identifier 
to each device/symlink combination and confirming that the identifier still
matches the device name before it allows the symlink mapping to proceed.

%prep
%setup
%patch -p1 -b .s390
%patch1 -p1 -b .fixes

%build
gunzip *.gz
gcc $RPM_OPT_FLAGS -o scsi_unique_id scsi_unique_id.c
gcc $RPM_OPT_FLAGS -o partition_uuid -luuid partition_uuid.c

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/bin,usr/share/man/man8,etc/sysconfig}
install -m 755 devlabel $RPM_BUILD_ROOT/sbin
install -m 755 scsi_unique_id $RPM_BUILD_ROOT/sbin
ln -s ../../sbin/scsi_unique_id $RPM_BUILD_ROOT%{_bindir}/scsi_unique_id
install -m 755 partition_uuid $RPM_BUILD_ROOT/sbin
ln -s ../../sbin/partition_uuid $RPM_BUILD_ROOT%{_bindir}/partition_uuid

install -m 644 devlabel.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 sysconfig.devlabel $RPM_BUILD_ROOT/etc/sysconfig/devlabel

mkdir -p $RPM_BUILD_ROOT/etc/syconfig/devlabel.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d
touch $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d/ignore_list
touch $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d/proc_partitions

%triggerpostun -- devlabel <= 0.38.07-1
if [ -e /etc/sysconfig/devlabel ]; then
	/sbin/devlabel reverseremap --force >/dev/null 2>&1 || :
fi 

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
/sbin/*
%{_bindir}/*
%config(noreplace) /etc/sysconfig/devlabel
%{_mandir}/man8/devlabel.8*
%dir /etc/sysconfig/devlabel.d
%verify(not md5 size mtime) %config(noreplace) /etc/sysconfig/devlabel.d/ignore_list
%verify(not md5 size mtime) %config(noreplace) /etc/sysconfig/devlabel.d/proc_partitions

%changelog
* Tue May 24 2005 X/OS Linux Team <xoslinux@xos.nl> 0.48.03-10.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on devlabel-0.48.03-10.src.rpm
  (md5sum of original source rpm: 0148ecedbf37aea5573ab945b98d4374).

* Wed Jan 19 2005 Bill Nottingham <notting@redhat.com> 0.48.03-10
- don't use stuff in /usr (#144907)

* Thu Jan  6 2005 Bill Nottingham <notting@redhat.com> 0.48.03-8
- don't use unnecessary temporary files (#143476)
- fix escaping of newlines (#144241)
- fix use of head (#144907)

* Mon Sep 27 2004 Bill Nottingham <notting@redhat.com> 0.48.03-6
- build for RHEL 3

* Thu Sep  9 2004 Bill Nottingham <notting@redhat.com> 0.48.03-5
- fix typo in filelist

* Wed Sep  8 2004 Bill Nottingham <notting@redhat.com> 0.48.03-4
- remove typo patch

* Tue Sep  7 2004 Bill Nottingham <notting@redhat.com>
- use /etc/sysconfig/devlabel.d, not /var/lib/devlabel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 28 2004 Bill Nottingham <notting@redhat.com> 0.48.01-3
- fix warnings (#124442, <harald@redhat.com>)

* Tue May 18 2004 Warren Togami <wtogami@redhat.com> 0.48.01-2
- update to 0.48.01

* Fri May 14 2004 Warren Togami <wtogami@redhat.com>
- #114892 and other spec cleanups

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Nov 20 2003 Bill Nottingham <notting@redhat.com> 0.42.05-2.1
- rebuild

* Tue Sep 30 2003 Bill Nottingham <notting@redhat.com> 0.42.05-2
- rebuild

* Tue Sep 30 2003 Bill Nottingham <notting@redhat.com> 0.42.05-1
- update to upstream 0.42.05
  - Added sfdisk checking hack to avoid IO errors on bad usb device partition tables (#103868)

* Tue Jun 24 2003 Bill Nottingham <notting@redhat.com> 0.41.01-1
- update to upstream 0.41.01
- add trigger to call reverseremap on upgrades from old versions

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Bill Nottingham <notting@redhat.com> 0.38.07-1
- update to 0.38.07

* Tue Jan 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.26.08-3
- Disabled fdisk and with that add stuff for s390(x) completely for now.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Bill Nottingham <notting@redhat.com> 0.26.08-1
- update to 0.26.08
- ship the tarball

* Thu Dec 05 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- require util-linux instead of some of its apps
  due to fdisk not being available on mainframe

* Mon Dec  2 2002 Bill Nottingham <notting@redhat.com> 0.23-2
- package upstream version
- clean up spec file a little
- fix requires

* Tue Oct 29 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Created scsi_unique_id variable to increase speed
- Fixed unbound raw device status
- Made restart,reload truly synonymous with start

* Mon Oct 28 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Fixed remapping bug

* Mon Oct 21 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Updated man page to reflect interdisk renaming limitation

* Wed Oct 16 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Changed output of raw status

* Thu Oct 10 2002 Gary Lerhaupt gary_lerhaupt@dell.com 
- fixed fdisk -l bug

* Mon Oct 7 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- changed check to see if device even exists in devlabel add
- changed some seds to awks
- changed reading in of /proc/partitions

* Tue Sep 17 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Got rid of egrep -o usage

* Wed Aug 28 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Transistition devlabel from sysV to /sbin script
- Added rc.sysinit patch

* Tue Aug 27 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Added second hotplug_usb patch for 7.3 and up

* Fri Aug 23 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Add model names to SCSI UUIDs

* Thu Aug 22 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Added log statement for when devlabel is started/restarted
- Added hotplugging patches for pci, usb & ieee1394

* Wed Aug 21 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Added model to IDE UUIDs
- Fixed error messages
- PCMCIA storage works

* Tue Aug 20 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- First working release
- Questionable multipath support
- Questionable USB support
- Questionable PCMCIA support
- No hotplug support

* Fri Aug 16 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Initial transition from saferawdevices to devlabel
